import { CampaignReference } from "@/types";
declare class Token {
    /**
     * Get Next token for a given Campaign
     */
    static next(ref: CampaignReference): string | null;
    /**
     * Search Tokens by Campaign
     */
    static search(ref: CampaignReference): {
        p: string;
        k: string;
        t: number;
    }[];
    /**
     * Parse the existing Query Parameters or provided URL
     */
    static parse(url?: string, keepQueryParam?: boolean): string | null;
    /**
     * Get all tokens with key that includes token name
     */
    static getAll(): {
        p: string;
        k: string;
        t: number;
    }[];
    /**
     * Remove token from store by value
     */
    static remove(token: string): void;
    private static add;
}
export default Token;
